<?php
/**
 * Helper class for Hello World! module
 * 
 * @package    Joomla.Tutorials
 * @subpackage Modules
 * @link http://docs.joomla.org/J3.x:Creating_a_simple_module/Developing_a_Basic_Module
 * @license        GNU/GPL, see LICENSE.php
 * mod_helloworld is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
 
require dirname(__FILE__) . '/vendor/guzzle_autoload.php';
use Guzzle\Http\Client;
 
class ModJoomlaApiHelper
{
    /**
     * Retrieves the hello message
     *
     * @param   array  $params An object containing the module parameters
     *
     * @access public
     */    
    public static function getHello($params)
    {
        //print_r($params);
        $num = $params->get("Show content");
        $endpoint = $params->get("API JSON endpoint (root)");
        //print($num);
        //print( $endpoint );
        $client = new Client( $endpoint );
        $requestOptions = array('query' => array("template"=>"api"));
        $request = $client->get('', array(), $requestOptions);
        $response = $request->send();
        //print_r($response->json());
        return $response->json();
    }
}
